Subject: Re: [PATCH] powerpc: Pegasos keyboard detection

From: Matt Sealey <[email-masked]>
Date: Wed, 01 Aug 2007 08:28:28 +0100

Just so you guys have it all in one pretty little package, these will remove
the need for the Pegasos IDE and ISA fixups in the prom_init.c too.

s" /pci@80000000/ide@C,1" find-device
d# 14 encode-int 0 encode-int
d# 15 encode-int 0 encode-int
encode+ encode+ encode+ s" interrupts" property
0x1018a encode-int s" class-code" property
device-end

s" /pci@80000000/isa@C" find-device
0x1 encode-int 0x0 encode-int 0x1006000 encode-int
0x0 encode-int 0x0 encode-int 0x1000 encode-int
encode+ encode+ encode+ encode+ encode+ s" ranges" property
device-end

If anyone wants to test and confirm the 8042 fix and then we can add
it to the end here.. we can unclutter the kernel.

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations

Matt Sealey wrote:
> Yeah please do a fixup for the boot wrapper.
> 
> Or, if you have trouble, go into the firmware and type "nvedit", add
> these lines;
> 
> " /isa/8042" find-device
> " 8042" encode-string device-type
> 
> (then ctrl-c to exit and nvstore to run it on next reboot. Try it without
> the patch first, on the firmware console, just to be sure I got it right,
> because I can't test it here)
> 
> You don't need to patch Linux at all. In fact for silly things like this
> I would recommend against it :)
>